# Uses of Interface
org.apache.avro.LogicalTypes.LogicalTypeFactory

Packages that use LogicalTypes.LogicalTypeFactory
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of LogicalTypes.LogicalTypeFactory in org.apache.avro

Methods in org.apache.avro that return types with arguments of type LogicalTypes.LogicalTypeFactory
Modifier and Type
Method
Description
`static Map<String,LogicalTypes.LogicalTypeFactory>`
LogicalTypes.`getCustomRegisteredTypes()`
Return an unmodifiable map of any registered custom `LogicalType`
Methods in org.apache.avro with parameters of type LogicalTypes.LogicalTypeFactory
Modifier and Type
Method
Description
`static void`
LogicalTypes.`register(String logicalTypeName, LogicalTypes.LogicalTypeFactory factory)`
Register a logical type.
`static void`
LogicalTypes.`register(LogicalTypes.LogicalTypeFactory factory)`
Register a logical type.